Bug 54693 - common hal needs CDL cleanup
common hal needs CDL cleanup
Status: CLOSED WONTFIX
Product: eCos
Classification: Retired
Component: HAL (Show other bugs)
CVS
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: ecc-bugs-int
ecc-bugs-int
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-16 09:16 EDT by Jesper Skov
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 12:03:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesper Skov 2001-10-16 09:16:12 EDT
compile statements should be conditional on options.
Look at requiring ISOINFRA for stubs (and whatever else may need
string.h)
Comment 1 George Thomas 2001-10-25 01:31:40 EDT
CDL changed to avoid compiling GDB stubs when not needed.
Doing more than this requires either new pseudo CDL options
to control compilation, or conditional "compile" CDL command.

Example: the file 'drv_api.c' only needs to be compiled if
there is no kernel package.  The only way to conditionalize
this in the CDL would be to introduce an artificial "pseudo"
CDL option which is only active if !CYGPKG_KERNEL that does
the compile.  It would be much cleaner if the CDL actually
could express this directly, so for now I'm leaving it as is.
Comment 2 Alex Schuilenburg 2003-06-20 12:03:20 EDT
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=54693

Note You need to log in before you can comment on or make changes to this bug.